import java.io.*;
import java.util.*;

public class TestGen implements Runnable {
    public static void main(String[] args) {
        new Thread(new TestGen()).start();
    }

    PrintWriter out;

    int done = 0;

    final int testCount = 25;

    public int nextInt(Random rnd, int low, int high) {
        if (low > high) {
            return low;
        }
        int base = high - low + 1;
        int val = rnd.nextInt();
        val %= base;
        while (val < 0)
            val += base;
        val += low;
        return val;
    }

    int prev = 1;

    public void gen(int k, int m, int tr, int lz) throws IOException {
        done++;
        if (done < 10)
            out = new PrintWriter("0" + String.valueOf(done));
        else
            out = new PrintWriter(String.valueOf(done));

        out.println(m);
        k -= String.valueOf(tr).length();
        String num = "";
        for (int i = 0; i < lz; i++) {
            num += '0';
        }
        for (int i = 0; i < k - lz; i++) {
            char c = (char) (nextInt(rnd, 0, 9) + '0');
            if (c == '0' && (i == 0 || i == k - lz - 1)) {
                c++;
            }
            num += c;
        }
        out.println(tr + "." + num);
        out.close();
    }

    public void genRand() throws IOException {
        int k = nextInt(rnd, 1, 999);
        int m = nextInt(rnd, k + 1, 1000);
        int tr = 0;
        int val = rnd.nextInt() % 3;

        if (val == 0) {
            tr = nextInt(rnd, 0, 999);
        } else if (val == 1) {
            tr = nextInt(rnd, 0, 9);
        } else {
            tr = nextInt(rnd, 0, 99);
        }

        int lz = nextInt(rnd, 0, k - 4);
        if (rnd.nextBoolean()) {
            lz = Math.min(lz, 10);
        }
        if (rnd.nextInt() % 5 == 1) {
            lz = 0;
        }
        gen(k, m, tr, lz);
    }

    public void genSmall() throws IOException {
        int k = nextInt(rnd, 1, 999);
        int m = nextInt(rnd, k, Math.min(1000, k + 4));
        int tr = 0;
        int lz = nextInt(rnd, 0, k - 4);
        gen(k, m, tr, lz);
    }

    Random rnd;

    public void run() {
        try {
            rnd = new Random();

            gen(3, 5, 1, 1);
            gen(3, 5, 1, 0);
            gen(3, 1000, 1, 0);
            gen(990, 1000, 1, 300);
            gen(990, 1000, 1, 980);

            for (int i = 0; i < 6; i++) {
                genSmall();
            }

            while (done < testCount) {
                genRand();
            }

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}
